---
- name: provision
  hosts: masmovil-proxy
  become: true
  roles:
    - role: geerlingguy.security

    - role: app_user
      tags: app_user

    - role: app_directory
      tags: app_directory

    - name: avanov.pyenv
      tags: pyenv
      vars:
        pyenv_path: "{{ pyenv_pyenv_path }}"
        pyenv_owner: "{{ app_user }}"
        pyenv_global: "{{ pyenv_python_version }}"
        pyenv_python_versions:
          - "{{ pyenv_python_version }}"
        pyenv_virtualenvs:
          - venv_name: "{{ pyenv_venv_name }}"
            py_version: "{{ pyenv_python_version }}"

    - role: geerlingguy.postgresql
      vars:
        postgresql_users:
          - name: '{{ db_user }}'
            password: '{{ db_user_password }}'
            role_attr_flags: CREATEDB
        postgresql_databases:
          - name: '{{ db_name }}'
            owner: '{{ db_user }}'
      tags: database

    - role: geerlingguy.docker
      vars:
        docker_users: '{{ app_user }}'
      tags: rabbitmq

    - role: rabbitmq
      tags: rabbitmq

    - role: development_tools
      when: development_environment is defined and development_environment|bool
      tags: development

    - role: background_job
      tags: background_job
      when: development_environment is not defined or
            not development_environment|bool

    - role: webserver
      tags: webserver
      when: development_environment is not defined or
            not development_environment|bool
